package com.m2pool.chat.listener;

import com.m2pool.chat.entity.StompPrincipal;
import org.springframework.context.ApplicationEvent;

/**
 * 登录限制事件
 */
public class IpLimitEvent extends ApplicationEvent {

    private final StompPrincipal principal;

    public IpLimitEvent(Object source, StompPrincipal principal) {
        super(source);
        this.principal = principal;
    }

    public StompPrincipal getPrincipal() {
        return principal;
    }
}